v2.0
get
/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/orders-inventory/audit
Retrieves all order items.
Rights: OrsInventoryGet, OrsUnblinded.
Rights: OrsInventoryGet, OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Query Parameters
-
limit(required): integer(int32)
Minimum Value:
1Maximum number of records to display per page. -
offset(required): integer(int32)
Minimum Value:
0An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
Show Source
array-
Array of:
object OrderItemResponse
Title:
OrderItemResponseContains order items in paginated format.
Nested Schema : OrderItemResponse
Type:
objectTitle:
OrderItemResponseContains order items in paginated format.
Show Source
-
count: integer
(int32)
Number of results in the current page.Example:
25 -
hasMore: boolean
Indicates if there are more results beyond the current page.Example:
true -
limit: integer
(int32)
Maximum number of records returned per page.Example:
25 -
offset: integer
(int32)
Index of the first record returned in the current page.Example:
0 -
resultData: array
resultData
Paginated result data for the current page. The concrete type depends on the API and typically is an array or list of DTOs.
-
totalResults: integer
(int32)
Total number of results across all pages.Example:
125
Nested Schema : resultData
Type:
arrayPaginated result data for the current page. The concrete type depends on the API and typically is an array or list of DTOs.
Show Source
-
Array of:
object OrderItemTO v1.0
Title:
OrderItemTO v1.0Contains order item details.
Nested Schema : OrderItemTO v1.0
Type:
objectTitle:
OrderItemTO v1.0Contains order item details.
Show Source
-
comment: string
Title:
CommentComment. -
inventoryId: string
(uuid)
Title:
Inventory IDInventory ID. -
inventoryVersionStart: string
(date-time)
Title:
Version StartInventory version start. -
objectVersionNumber: number
Title:
Object Version NumberObject version number. -
operationType: string
Title:
Operation TypeOperation type. -
orderId: string
(uuid)
Title:
Order IDOrder ID. -
orderItemId: string
(uuid)
-
orderVersionStart: string
(date-time)
Title:
Version StartOrder version start date. -
reason: string
Title:
ReasonReason. -
softwareVersionNumber: number
Title:
Software Version NumberSoftware version number. -
userId: string
(uuid)
Title:
User IDUser ID. -
versionEnd: string
(date-time)
Title:
Version EndVersion end date. -
versionStart: string
(date-time)
Title:
Version StartVersion start date.
404 Response
Invalid study ID
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object